## Build stage ##
FROM golang as builder
WORKDIR /build
COPY go.mod go.sum ./
RUN go mod download
COPY . .
RUN go build -o rageshake

## Runtime stage, debug variant ##
FROM  debian:bullseye as debug
COPY --from=builder /build/rageshake /rageshake/
WORKDIR /
EXPOSE 9110
ENTRYPOINT ["/rageshake/rageshake"]

## Runtime stage ##
FROM  debian:bullseye as rageshake
LABEL org.opencontainers.image.source https://git.batsense.net/mystiq/rageshake
RUN apt-get update && apt-get install -y ca-certificates
WORKDIR /
COPY --from=builder /build/rageshake /rageshake/
EXPOSE 9110
ENTRYPOINT ["/rageshake/rageshake"]
